Subject: Re: [PATCH v2 0/3] safe.directory clean-up

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Jul 2024 09:14:11 -0700

Phillip Wood <[email-masked]> writes:

> Thanks for picking this up, I think this looks like a good approach
> apart from resolving relative entries in safe.directory which is
> intrinsically unsafe as we don't know which directory the user wants
> to consider safe. With these changes it should not be necessary to add
> "." to safe.directory to get "git daemon" to work and all the other
> code paths use an absolute path from getcwd() so I don't think there
> is any need to support relative directories.

I agree that we could limit to absolute, but that would mean we
would be breaking a configuration that used to work.  I do not want
to mix that into this topic.

> I'll be off the list for the next couple of weeks

I'd imagine it would be for a block of fun time?  Enjoy.

In any case, this topic won't be moving in the coming few weeks
anyway ;-)